Bug 1108847 - /etc/mock/fedora-rawhide-armhfp.cfg typo
Summary: /etc/mock/fedora-rawhide-armhfp.cfg typo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 20
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-12 16:43 UTC by Jerry James
Modified: 2014-10-10 16:04 UTC (History)
4 users (show)

Fixed In Version: mock-1.1.41-3.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-20 03:24:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Jerry James 2014-06-12 16:43:14 UTC
Description of problem:
There is a missing ']' on this line in /etc/mock/fedora-rawhide-armhfp.cfg:

config_opts['extra_chroot_dirs'] = [ '/run/lock',

which results in this when trying to build with that config:

ERROR: invalid syntax (fedora-rawhide-armhfp.cfg, line 7)
Traceback (most recent call last):
  File "/usr/sbin/mock", line 306, in <module>
    def do_buildsrpm(config_opts, chroot, options, args):
  File "/usr/sbin/mock", line 424, in main
    execfile(cfg)
  File "/etc/mock/fedora-rawhide-armhfp.cfg", line 7
    config_opts['releasever'] = '21'

Version-Release number of selected component (if applicable):
mock-1.1.39-1.fc20.noarch

How reproducible:
Always

Steps to Reproduce:
1. mock -r fedora-rawhide-armhfp <srpm>
2.
3.

Actual results:
The error above.

Expected results:
A build in mock.

Additional info:

Comment 1 Miroslav Suchý 2014-06-13 09:59:09 UTC
Fix commited as e7afcaa in msuchy-work branch.

Thanks for the report.

Comment 2 Fedora Update System 2014-07-18 02:13:19 UTC
mock-1.1.40-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.40-2.fc20

Comment 3 Fedora Update System 2014-07-18 02:13:46 UTC
mock-1.1.40-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.40-2.fc19

Comment 4 Fedora Update System 2014-07-18 02:14:08 UTC
mock-1.1.40-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.40-2.el6

Comment 5 Fedora Update System 2014-07-18 17:45:26 UTC
mock-1.1.41-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.41-1.fc20

Comment 6 Fedora Update System 2014-07-18 17:45:52 UTC
mock-1.1.41-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.41-1.fc19

Comment 7 Fedora Update System 2014-07-18 17:46:19 UTC
mock-1.1.41-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.41-1.el6

Comment 8 Fedora Update System 2014-07-19 05:58:08 UTC
Package mock-1.1.41-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mock-1.1.41-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8492/mock-1.1.41-1.fc20
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-07-20 03:24:34 UTC
mock-1.1.41-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-07-22 18:07:54 UTC
mock-1.1.41-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-09-16 16:46:54 UTC
mock-1.1.41-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.41-2.fc19

Comment 12 Fedora Update System 2014-09-30 09:00:08 UTC
mock-1.1.41-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.41-3.fc19

Comment 13 Fedora Update System 2014-10-10 16:04:17 UTC
mock-1.1.41-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.